using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase;

/// <summary>
/// 申请状态
/// </summary>
public enum EKnowledgeApplyStatus
{
    /// <summary>
    /// 处理中
    /// </summary>
    [Description("处理中")]
    Handling = 0,

    /// <summary>
    /// 处理完成
    /// </summary>
    [Description("处理完成")]
    Succeed = 1,

    /// <summary>
    /// 已退回
    /// </summary>
    [Description("已退回")]
    Failed = 2,

    /// <summary>
    /// 已撤回
    /// </summary>
    [Description("已撤回")]
    Revert = 3,
}